CVE-2003-1190
CVSS4.3
发布时间 :2003-11-03 00:00:00
修订时间 :2008-09-05 16:36:16
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in PHPRecipeBook 1.24 through 2.17 allows remote attackers to inject arbitrary web script or HTML via a recipe.


[CNNVD]PHPRecipeBook未明跨站点脚本/ HTML注入漏洞(CNNVD-200311-008)

        PHPRecipeBook 1.24到2.17版本存在跨站脚本(XSS)漏洞。远程攻击者可以通过recipe注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phprecipebook:phprecipebook:2.14
cpe:/a:phprecipebook:phprecipebook:2.13
cpe:/a:phprecipebook:phprecipebook:2.12
cpe:/a:phprecipebook:phprecipebook:1.26a
cpe:/a:phprecipebook:phprecipebook:1.27a
cpe:/a:phprecipebook:phprecipebook:1.27
cpe:/a:phprecipebook:phprecipebook:2.17
cpe:/a:phprecipebook:phprecipebook:1.30a
cpe:/a:phprecipebook:phprecipebook:2.04
cpe:/a:phprecipebook:phprecipebook:2.10
cpe:/a:phprecipebook:phprecipebook:2.16
cpe:/a:phprecipebook:phprecipebook:1.30
cpe:/a:phprecipebook:phprecipebook:2.15
cpe:/a:phprecipebook:phprecipebook:1.31
cpe:/a:phprecipebook:phprecipebook:1.24
cpe:/a:phprecipebook:phprecipebook:2.05
cpe:/a:phprecipebook:phprecipebook:1.26
cpe:/a:phprecipebook:phprecipebook:2.11
cpe:/a:phprecipebook:phprecipebook:1.25
cpe:/a:phprecipebook:phprecipebook:2.06

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1190
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1190
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200311-008
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/13574
(PATCH)  XF  phprecipebook-recipe-xss(13574)
http://www.securityfocus.com/bid/8963
(PATCH)  BID  8963
http://secunia.com/advisories/10109
(PATCH)  SECUNIA  10109
http://www.osvdb.org/2755
(VENDOR_ADVISORY)  OSVDB  2755
http://sourceforge.net/project/shownotes.php?release_id=193940
(UNKNOWN)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=193940

- 漏洞信息

PHPRecipeBook未明跨站点脚本/ HTML注入漏洞
中危 跨站脚本
2003-11-03 00:00:00 2005-10-20 00:00:00
远程  
        PHPRecipeBook 1.24到2.17版本存在跨站脚本(XSS)漏洞。远程攻击者可以通过recipe注入任意Web脚本或HTML。

- 公告与补丁

        This issue has been addressed in PHPRecipeBook 2.18.
        PHPRecipeBook PHPRecipeBook 1.24
        
        PHPRecipeBook PHPRecipeBook 1.25
        
        PHPRecipeBook PHPRecipeBook 1.26 a
        
        PHPRecipeBook PHPRecipeBook 1.26
        
        PHPRecipeBook PHPRecipeBook 1.27
        
        PHPRecipeBook PHPRecipeBook 1.27 a
        
        PHPRecipeBook PHPRecipeBook 1.30 a
        
        PHPRecipeBook PHPRecipeBook 1.30
        
        PHPRecipeBook PHPRecipeBook 1.31
        
        PHPRecipeBook PHPRecipeBook 2.0 4
        
        PHPRecipeBook PHPRecipeBook 2.0 6
        
        PHPRecipeBook PHPRecipeBook 2.0 5
        
        PHPRecipeBook PHPRecipeBook 2.10
        
        PHPRecipeBook PHPRecipeBook 2.11
        
        PHPRecipeBook PHPRecipeBook 2.12
        
        PHPRecipeBook PHPRecipeBook 2.13
        
        PHPRecipeBook PHPRecipeBook 2.14
        
        PHPRecipeBook PHPRecipeBook 2.15
        
        PHPRecipeBook PHPRecipeBook 2.16
        
        PHPRecipeBook PHPRecipeBook 2.17
        

- 漏洞信息

2755
PHPRecipeBook Recipe XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

PHPRecipeBook contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate user supplied input. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2003-11-03 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.18 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站